
#
# Configuration Apache pour Larzac (Bizmachine 10 / EasyBiz 2004)
#

## We must listen on the SLB ip too...

Listen 212.43.241.163:80

Listen 212.43.241.106:80
Listen 212.43.241.165:80

Listen 212.43.241.102:443
Listen 212.43.241.165:443


SetEnv          JAILNAME        bizmachine10.co.fr.clara.net
SetEnv          JAILIP          212.43.241.164

RewriteEngine On

Include /easy_conf/apache2/modules.conf
Include /easy_conf/apache2/generic.conf
Include /easy_conf/apache2/easy.conf
Include /easy_conf/apache2/ssl.conf

ServerName myhome10.fr.clara.net:80

LockFile /var/run/accept.lock
ScoreBoardFile /var/run/apache_runtime_status
PidFile /var/run/httpd.pid

#LoadModule BSDSUX_module libexec/apache2/bsdsux_mod.so
#LoadModule auth_mysql_module  libexec/apache2/mod_auth_mysql.so
#LoadModule vdbh_module        libexec/apache2/mod_vdbh.so


## Performances tweaking
Timeout 100
KeepAlive On
MaxKeepAliveRequests 64
KeepAliveTimeout 15
## Hey, we use nfs most of the time, so it's a good idea not to use MMAP and Sendfile
EnableMMAP off
EnableSendfile off
<IfModule prefork.c>
ServerLimit      1024
MaxClients       1024
StartServers     20
MinSpareServers  5
MaxSpareServers 20
</IfModule>
## Assume no memory leaks at all
MaxRequestsPerChild 10000

<VirtualHost larzac.fr.clara.net:80>
	DocumentRoot /usr/local/easybiz/root
	ServerName	larzac.fr.clara.net:80
	ServerAdmin	    sri@fr.clara.net
	<Directory "/usr/local/easybiz/root">
		Options +ExecCGI
		AddType       application/x-perl .pl
		AddHandler    cgi-script .pl
		Order deny,allow
		Deny from all
		Allow from 212.43.232 212.43.195 212.43.194 212.43.232
	</Directory>
	<Location /server-status>
    		SetHandler server-status
    		Order deny,allow
    		Deny from all
    		Allow from 212.43.232 212.43.195 212.43.194 212.43.232
	</Location>
	<Location /server-info>
    		SetHandler server-info
    		Order deny,allow
    		Deny from all
    		Allow from 212.43.232 212.43.195 212.43.194 212.43.232
	</Location>
</VirtualHost>	
 
